### Function

# Ggit Repository discover_full

#### Declaration [src]

    GFile*
    ggit_repository_discover_full (
      GFile* location,
      gboolean across_fs,
      const gchar** ceiling_dirs,
      GError** error
    )

#### Description [src]

Looks for a git repository.

The lookup starts from `path` and walks up the parent directories and stops when a repository is found.

#### Parameters

`location`

  Type: `GFile`

  The base location where the lookup starts.

  The data is owned by the caller of the function.

`across_fs`

  Type: `gboolean`

  Indictaes whether lookup will work across filesystem devices.

`ceiling_dirs`

  Type: An array of `gchar*`

  A list of absolute paths at which lookup will stop when reached, or `NULL`.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GFile`

The repository location.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.